<html>

<head>
<meta http-equiv="Content-Language" content="en-au">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
<title>~~~Remote Control~~~</title>
<link rel="stylesheet" type="text/css" href="custom.css">

<script language=javascript>
var t;
var ShowingRemotes = false;
var RemoteList = "!!!Remotes!!!";
var CurrentRemote = "!!!Current!!!";
var req;

function sendXMLDoc(url)
	{
	req = false;
    // branch for native XMLHttpRequest object
    if(window.XMLHttpRequest && !(window.ActiveXObject)) {
    	try {
			req = new XMLHttpRequest();
        } catch(e) {
			req = false;
        }
    // branch for IE/Windows ActiveX version
    } else if(window.ActiveXObject) {
       	try {
        	req = new ActiveXObject("Msxml2.XMLHTTP");
      	} catch(e) {
        	try {
          		req = new ActiveXObject("Microsoft.XMLHTTP");
        	} catch(e) {
          		req = false;
        	}
		}
    }
	if(req) {
		req.open("POST", url, true);
		req.send("");
	}
}

function loadXMLDoc(url)
	{
	req = false;
    // branch for native XMLHttpRequest object
    if(window.XMLHttpRequest && !(window.ActiveXObject)) {
    	try {
			req = new XMLHttpRequest();
        } catch(e) {
			req = false;
        }
    // branch for IE/Windows ActiveX version
    } else if(window.ActiveXObject) {
       	try {
        	req = new ActiveXObject("Msxml2.XMLHTTP");
      	} catch(e) {
        	try {
          		req = new ActiveXObject("Microsoft.XMLHTTP");
        	} catch(e) {
          		req = false;
        	}
		}
    }
	if(req) {
		req.onreadystatechange = processReqChange;
		req.open("POST", url, true);
		req.send("");
	}
}

function processReqChange()
{
    // only if req shows "loaded"
    if (req.readyState == 4)
    	{
        // only if "OK"
        if (req.status == 200) 
        	{
        	CurrentRemote = req.responseXML.getElementsByTagName("name")[0].firstChild.nodeValue;
        	Current = req.responseXML.getElementsByTagName("current")[0].firstChild.nodeValue;
        	Activity = req.responseXML.getElementsByTagName("activity")[0].firstChild.nodeValue;
        	Duration = req.responseXML.getElementsByTagName("duration")[0].firstChild.nodeValue;
        	Status = req.responseXML.getElementsByTagName("status")[0].firstChild.nodeValue;
        	Position = req.responseXML.getElementsByTagName("position")[0].firstChild.nodeValue;
			if (!ShowingRemotes)
				{
				LcdDiv = document.getElementById("LCD2");
				LcdDiv.innerHTML = "<table><tr><td nowrap>" + CurrentRemote + "</td></tr></table>";
				}
       		LcdDiv = document.getElementById("LCD");
       		LcdDiv.innerHTML = "<table border=0 cellpadding=0 cellspacing=0><tr><td colspan=3 nowrap>" + Current + "</td></tr><tr><td>" + Duration + "</td><td> - </td><td>" + Position + "</td></tr><tr><td colspan=3>" + Status + "</td></tr></table>";
			t = setTimeout("reload_frame()", 2000);
        	}
        else
        	{
            //alert("There was a problem retrieving the XML data:\n" + req.statusText);
        	}
    	}
}


function _startTimer()
{
LcdDiv = document.getElementById("LCD2");
LcdDiv.innerHTML = "<table><tr><td nowrap>" + CurrentRemote + "</td></tr></table>";
t = setTimeout("reload_frame()", 2000);
}

function reload_frame()
{
loadXMLDoc('remoteframe?XML=yes');
LedDiv = document.getElementById("LED");
LedDiv.innerHTML = "";
}


function doaction(Action)
	{

	LedDiv = document.getElementById("LED");
	LedDiv.innerHTML = "<img src=\"ledon.jpg\">";

	t = setTimeout("reload_frame()", 2000);
	sendXMLDoc(Action);
	}

function displayRemotes()
{
LcdDiv = document.getElementById("LCD2");
if (ShowingRemotes == false)
	{
	LcdDiv.innerHTML = "<select name=\"select\" size=1 id=Remote onChange=\"js:ChangeRemote()\" onclick=\"js:ChangeRemote()\" >" + RemoteList + "</select>";
	ShowingRemotes = true;
	}
else
	{
LcdDiv.innerHTML = "<table><tr><td nowrap>" + CurrentRemote + "</td></tr></table>";
	ShowingRemotes = false;
	}
	
}
function ChangeRemote()
	{
	NewRemote = document.getElementById("Remote");
	CurrentRemote = NewRemote.value;
	LcdDiv = document.getElementById("LCD2");
LcdDiv.innerHTML = "<table><tr><td nowrap>" + CurrentRemote + "</td></tr></table>";
	ShowingRemotes = false;
	sendXMLDoc("remoteframe?RemoteID=" + NewRemote.value);
	}


</script>
<style type="text/css">
<!--
#Layer1 {
	position:absolute;
	left:0px;
	top:772px;
	width:241px;
	height:210px;
	z-index:1;
}
#Layer2 {
	position:absolute;
	left:3px;
	top:592px;
	width:235px;
	height:192px;
	z-index:2;
}
-->
</style>
</head>

<body onload='javascript:_startTimer()'>
<form id="RemoteChange" action=remoteframe target=I1 method=post><input type=hidden name=RemoteID id="Q1"><input type=hidden name=Command value=none></form>
<form id=F1 method="POST" action="remoteframe"></form>
<p><img src="../remote.jpg" alt="remote" width="241" height="625" border="0" usemap="#Map">
<map name="Map">
<area shape="circle" coords="121, 132, 21" onClick="doaction('remoteframe?Command=play')">
<area shape="rect" coords="33, 118, 69, 144" onClick="doaction('remoteframe?Command=rew')">
<area shape="rect" coords="57, 568, 181, 610" onClick="doaction('remoteframe?Command=fwd')">
<area shape="rect" coords="172, 119, 210, 144" onClick="doaction('remoteframe?Command=fwd')">
<area shape="circle" coords="120, 84, 14" onClick="doaction('remoteframe?Command=stop')">
<area shape="circle" coords="158, 101, 14" onClick="doaction('remoteframe?Command=pause')">
<area shape="circle" coords="191, 46, 12" onClick="doaction('remoteframe?Command=power')">
<area shape="circle" coords="84, 102, 14" onClick="doaction('remoteframe?Command=record')">
<area shape="circle" coords="84, 159, 12" onClick="doaction('remoteframe?Command=prev')">
<area shape="circle" coords="156, 158, 12" onClick="doaction('remoteframe?Command=next')">
<area shape="circle" coords="190, 186, 11" onClick="doaction('remoteframe?Command=info')">
<area shape="circle" coords="52, 186, 11" onClick="doaction('remoteframe?Command=back')">
<area shape="circle" coords="121, 223, 21" onClick="doaction('remoteframe?Command=ok')">
<area shape="poly" coords="156, 184, 130, 173, 106, 174, 90, 183, 102, 200, 122, 196, 136, 202" onClick="doaction('remoteframe?Command=up')">
<area shape="poly" coords="146, 207, 161, 191, 171, 209, 174, 231, 162, 258, 145, 242, 149, 220" onClick="doaction('remoteframe?Command=right')">
<area shape="poly" coords="155, 266, 136, 247, 118, 252, 105, 247, 87, 264, 104, 274, 122, 277" onClick="doaction('remoteframe?Command=down')">
<area shape="poly" coords="93, 240, 91, 224, 97, 208, 80, 192, 72, 207, 66, 224, 78, 258" onClick="doaction('remoteframe?Command=left')">
<area shape="circle" coords="62, 283, 14" onClick="doaction('remoteframe?Command=vol+')">
<area shape="circle" coords="66, 318, 15" onClick="doaction('remoteframe?Command=vol-')">
<area shape="circle" coords="178, 282, 14" onClick="doaction('remoteframe?Command=ch+')">
<area shape="circle" coords="176, 318, 14" onClick="doaction('remoteframe?Command=ch-')">
<area shape="poly" coords="143, 340, 92, 340, 85, 352, 95, 367, 122, 368, 150, 362, 151, 345" onClick="doaction('remoteframe?Command=Mute')">
<area shape="circle" coords="71, 433, 12" onClick="doaction('remoteframe?Command=1')">
<area shape="circle" coords="121, 431, 11" onClick="doaction('remoteframe?Command=2')">
<area shape="circle" coords="171, 434, 12" onClick="doaction('remoteframe?Command=3')">
<area shape="circle" coords="71, 463, 12" onClick="doaction('remoteframe?Command=4')">
<area shape="circle" coords="121, 459, 13" onClick="doaction('remoteframe?Command=5')">
<area shape="circle" coords="171, 462, 12" onClick="doaction('remoteframe?Command=6')">
<area shape="circle" coords="70, 492, 12" onClick="doaction('remoteframe?Command=7')">
<area shape="circle" coords="120, 488, 12" onClick="doaction('remoteframe?Command=8')">
<area shape="circle" coords="170, 489, 12" onClick="doaction('remoteframe?Command=9')">
<area shape="circle" coords="119, 512, 10" onClick="doaction('remoteframe?Command=0')">
<area shape="circle" coords="170, 539, 11" onClick="displayRemotes()">
<area shape="circle" coords="120, 541, 11" onClick="doaction('remoteframe?Command=Enter')">
<area shape="circle" coords="47, 76, 14" onclick="doaction('remoteframe?Command=TV')">
<area shape="circle" coords="192, 74, 13" onclick="doaction('remoteframe?Command=Video')">
<area shape="circle" coords="71, 539, 11" onClick="doaction('remoteframe?Command=clear')">
<area shape="circle" coords="71, 516, 11" onClick="doaction('remoteframe?Command=star')">
<area shape="circle" coords="169, 517, 11" onClick="doaction('remoteframe?Command=hash')">
<area shape="circle" coords="92, 66, 12" onclick="doaction('remoteframe?Command=music')">
<area shape="circle" coords="150, 67, 12" onclick="doaction('remoteframe?Command=Pictures')">
<area shape="rect" coords="95, 287, 146, 326" onClick="doaction('remoteframe?Command=windowsbutton')">
<area shape="circle" coords="65, 368, 13" onClick="doaction('remoteframe?Command=recorded_tv')">
<area shape="circle" coords="94, 398, 13" onClick="doaction('remoteframe?Command=guide')">
<area shape="circle" coords="144, 397, 12" onClick="doaction('remoteframe?Command=livetv')">
<area shape="circle" coords="176, 369, 13" onClick="doaction('remoteframe?Command=dvd_menu')">
</map></p>
<div id=LCD style="position:absolute;top:573px;left:62px;height:40px;width:120px;z-index:3;clip:rect(0 120 40 0)"></div>
<div id=LCD2 style="position:absolute;top:21px;left:80px;height:12px;width:79px;z-index:3;clip:rect(0 79 18 0)"></div>
<div id=LED style="position:absolute;top:39px;left:113px;height:14px;width:16px;z-index:3;"></div>
<div style="position:absolute;top:95px;left:175px;height:26px;width:50px;z-index:3;font-style:normal; font-variant:normal; font-weight:normal; font-size:7pt" align="center">
<font face="Tahoma" color="#FFFFFF">Design<br>by kirkit</font></div>
</body>
</html>